libwpg: libwpg::StorageIO Class Reference documentation

# libwpg::StorageIO Class Reference

List of all members.

## Public Member Functions
| StorageIO (Storage *storage, const std::stringstream &memorystream)
| ~StorageIO ()
bool | isOLEStream ()
void | load ()
unsigned long | loadBigBlocks (std::vector< unsigned long > blocks, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadBigBlock (unsigned long block, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadSmallBlocks (std::vector< unsigned long > blocks, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadSmallBlock (unsigned long block, unsigned char *buffer, unsigned long maxlen)
StreamIO * | streamIO (const std::string &name)
## Public Attributes
Storage * | storage
std::stringstream | buf
int | result
unsigned long | bufsize
Header * | header
DirTree * | dirtree
AllocTable * | bbat
AllocTable * | sbat
std::vector< unsigned long > | sb_blocks
std::list< Stream * > | streams
## Private Member Functions
| StorageIO (const StorageIO &)
StorageIO & | operator= (const StorageIO &)

## Constructor & Destructor Documentation

libwpg::StorageIO::StorageIO | ( | libwpg::Storage * | st,
|  | const std::stringstream & | memorystream |
| ) |  |  |

libwpg::StorageIO::~StorageIO | ( |  | ) |

libwpg::StorageIO::StorageIO | ( | const StorageIO & |  | ) | `[private]`

## Member Function Documentation

bool libwpg::StorageIO::isOLEStream | ( |  | ) |

Referenced by libwpg::Storage::isOLEStream().

void libwpg::StorageIO::load | ( |  | ) |

Referenced by isOLEStream(), and streamIO().

unsigned long libwpg::StorageIO::loadBigBlocks | ( | std::vector< unsigned long > | blocks,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen |
| ) |  |  |

Referenced by load(), and loadBigBlock().

unsigned long libwpg::StorageIO::loadBigBlock | ( | unsigned long | block,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen |
| ) |  |  |

Referenced by load(), loadSmallBlocks(), and libwpg::StreamIO::read().

unsigned long libwpg::StorageIO::loadSmallBlocks | ( | std::vector< unsigned long > | blocks,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen |
| ) |  |  |

Referenced by loadSmallBlock().

unsigned long libwpg::StorageIO::loadSmallBlock | ( | unsigned long | block,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen |
| ) |  |  |

Referenced by libwpg::StreamIO::read().

libwpg::StreamIO * libwpg::StorageIO::streamIO | ( | const std::string & | name | ) |

StorageIO& libwpg::StorageIO::operator= | ( | const StorageIO & |  | ) | `[private]`

## Member Data Documentation

Storage* libwpg::StorageIO::storage

std::stringstream libwpg::StorageIO::buf

Referenced by load(), loadBigBlocks(), and loadSmallBlocks().

int libwpg::StorageIO::result

Referenced by isOLEStream(), load(), libwpg::Storage::result(), and streamIO().

unsigned long libwpg::StorageIO::bufsize

Referenced by load(), and loadBigBlocks().

Header* libwpg::StorageIO::header

Referenced by load(), libwpg::StreamIO::read(), StorageIO(), libwpg::StreamIO::StreamIO(), and ~StorageIO().

DirTree* libwpg::StorageIO::dirtree

Referenced by load(), streamIO(), and ~StorageIO().

AllocTable* libwpg::StorageIO::bbat

Referenced by load(), loadBigBlocks(), loadSmallBlocks(), libwpg::StreamIO::read(), StorageIO(), libwpg::StreamIO::StreamIO(), and ~StorageIO().

AllocTable* libwpg::StorageIO::sbat

Referenced by load(), loadSmallBlocks(), libwpg::StreamIO::read(), StorageIO(), libwpg::StreamIO::StreamIO(), and ~StorageIO().

std::vector<unsigned long> libwpg::StorageIO::sb_blocks

Referenced by load(), and loadSmallBlocks().

std::list<Stream*> libwpg::StorageIO::streams

Referenced by ~StorageIO().

The documentation for this class was generated from the following file:

- WPGOLEStream.cpp